Logoelepay
Sources

List sources by customer ID

カスタマソース情報を一覧で取得します。

GET
/customers/{customerId}/sources
Customer ID
決済方法

Response Body

application/json

OK

TypeScript Definitions

Use the response body type in TypeScript.

curl -X GET "https://api.elepay.io/customers/string/sources"
{
  "total": 0,
  "sources": [
    {
      "id": "string",
      "object": "source",
      "liveMode": true,
      "paymentMethod": "alipay",
      "resource": "web",
      "description": "string",
      "extra": {},
      "info": {},
      "cardInfo": {
        "brand": "string",
        "last4": "string",
        "expMonth": 0,
        "expYear": 0,
        "name": "string",
        "issuerCode": "string",
        "issuerName": "string",
        "wallet": "string",
        "walletApp": "string",
        "repaymentType": "string",
        "approvalCode": "string",
        "threeDSecure": true,
        "threeDSecureVersion": "string",
        "threeDSecureDetail": "string",
        "businessType": "string",
        "konbiniScanTime": 0,
        "konbiniType": "string",
        "receivedAmount": 0,
        "receivedTime": 0,
        "bankUserCode": "string",
        "bankUserName": "string",
        "bankName": "string",
        "bankBranchName": "string",
        "bankAccountNo": "string",
        "billingNo": "string"
      },
      "metadata": {},
      "credential": "string",
      "status": "pending"
    }
  ]
}